<template>
  <a-modal
    v-model:visible="visible"
    :width="500"
    :mask-closable="false"
    :esc-to-close="false"
    :closable="false"
    :footer="false"
    hide-title
  >
    <div class="part-box">
      <a-spin :tip="tips" />
    </div>
  </a-modal>
</template>

<script setup lang="ts">
  import useModal from '@/hooks/modal';

  defineOptions({
    name: 'FullscreenLoading',
  });

  /* modal */
  const { visible, open, close } = useModal();
  defineExpose({ open, close });

  defineProps<{
    tips: string;
  }>();
</script>
